package com.bea.examples.hello;

import javax.ejb.CreateException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

/**
 * <p>Simple HelloWorld example of ejb.</p>
 *
 * @author Copyright (c) 2002 by BEA Systems. All Rights Reserved.
 *
 * @ejbgen:session
 *   ejb-name = HelloEJB
 * @ejbgen:jndi-name
 *   local = com.bea.examples.hello.HelloEJB
 */
public class HelloEJB implements SessionBean {

  private SessionContext ctx;


  /**
   * Sets the session context.
   *
   * @param ctx               SessionContext Context for session
   */
  public void setSessionContext(SessionContext ctx) {
    this.ctx = ctx;
  }

  public void ejbCreate() throws CreateException {
  }

  public String sayHello(){
    return "Hello from " + this.getClass().getName();
  }
  

  /**
   * This method is required by the EJB Specification,
   * but is not used by this example.
   *
   */
  public void ejbActivate() {
  }

  /**
   * This method is required by the EJB Specification,
   * but is not used by this example.
   *
   */
  public void ejbRemove() {
  }

  /**
   * This method is required by the EJB Specification,
   * but is not used by this example.
   *
   */
  public void ejbPassivate() {
  }
}
